<main>
  <div id="carousel">
    <img src="<?php echo URL_BASE; ?>src/assets/images/cpu24.png" alt="Logo do Congresso Paulista de Urologia 2024">
  </div>
  <?php
  $sql2 = $conecta->query("SELECT * FROM publicacoes ORDER BY edicao DESC LIMIT 1");
  while ($consulta2 = $sql2->fetch_assoc()){
  switch(date("m", strtotime($consulta2['edicao']))){
  case '01': $mes_extenso = 'Janeiro de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '02': $mes_extenso = 'Fevereiro de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '03': $mes_extenso = 'Março de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '04': $mes_extenso = 'Abril de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '05': $mes_extenso = 'Maio de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '06': $mes_extenso = 'Junho de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '07': $mes_extenso = 'Julho de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '08': $mes_extenso = 'Agosto de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '09': $mes_extenso = 'Setembro de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '10': $mes_extenso = 'Outubro de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '11': $mes_extenso = 'Novembro de '.date("Y", strtotime($consulta2['edicao']));
  break;
  case '12': $mes_extenso = 'Dezembro de '.date("Y", strtotime($consulta2['edicao']));
  break;}
  ?>
  <section class="edicao_container">
    <div class="container">
      <div class="row">
        <div class="col-md-2">
			&nbsp;
		</div>
		<div class="col-md-4" style="padding-bottom:30px;">
          <h2>AUA NEWS</h2>
          <h4>Edição <?php echo $mes_extenso; ?></h4>
          <p>Veja as notícias mais atuais da área de Urologia, conteúdo original da
            Associação Americana de Urologia, traduzido para versão em português através
            da parceria com a Levitatur Viagens e
            Sociedade Brasileira de Urologia
          </p>
          <a href="<?php echo URL_BASE; ?>controle/dwn_publi.php?id=<?php echo $consulta2['id']; ?>" class="btn btn-primary">Clique e confira a nova edição aqui!</a>
        </div>
		<div class="col-md-4">
			<a href="<?php echo URL_BASE; ?>controle/dwn_publi.php?id=<?php echo $consulta2['id']; ?>">
				<?php
				// Decodifica a string base64
				$image_data = base64_decode($consulta2['miniatura']);

				$webp_header = 'RIFF';
				if (substr($image_data, 0, 4) === $webp_header) {
				?>
				<img src="data:image/webp;base64,<?php echo $consulta2['miniatura']; ?>" style="width:100%">
				<?php
				} else {
				// Verifica os primeiros bytes para identificar o tipo
				$first_two_bytes = substr($image_data, 0, 2);
				$jpeg_marker = "\xFF\xD8";
				$png_marker = "\x89\x50";
				if ($first_two_bytes === $jpeg_marker) {
				?>
				<img src="data:image/jpeg;base64,<?php echo $consulta2['miniatura']; ?>" style="width:100%">
				<?php
				} elseif ($first_two_bytes === $png_marker) {
				?>
				<img src="data:image/png;base64,<?php echo $consulta2['miniatura']; ?>" style="width:100%">
				<?php
				} else {
				echo "O tipo da imagem não pôde ser determinado.";
				}}
				?>
						
			</a>
		</div>
		<div class="col-md-2">
			&nbsp;
		</div>
      </div>
    </div>
  </section>
  <?php
  }
  ?>
